## lvtk 1.0.4~dfsg0

=== debian/changelog ===
lvtk (1.0.4~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs tags.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Mon, 18 Feb 2013 02:15:49 +0000

lvtk (1.0.3~dfsg0-1) unstable; urgency=low

  * Initial release. (Closes: #696448)

 -- Alessio Treglia <alessio@debian.org>  Fri, 21 Dec 2012 14:27:21 +0000
