=== debian/changelog ===
lvtk (1.1.1~dfsg0-1) unstable; urgency=low

  * New upstream release:
    - Small Fixes in waf scripts
    - Code formatting
    - Fixed typos in example rdf files
    - Added basic C++ wrappers for LV2 Atom handling/forging
    - Added Make Path mixin
    - LV2UI rev3 Supported
    - Support LV2UI_Port_Map
    - Support LV2UI Port Subscribe
    - Support LV2UI Touch
    - Support LV2UI Peak Data
    - Support buf-size
    - Support Options Extension
    - Support for morph extension (data only)
    - Examples install to a single lvtk.lv2 bundle
  * Fix lvtk-doc.install file.

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 May 2013 12:58:09 +0200
