=== debian/control ===
Source: lvtk
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 libboost-dev,
 libgtkmm-2.4-dev,
 lv2-dev,
 pkg-config,
 python
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 3.9.4
Homepage: http://lvtoolkit.org/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lvtk.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lvtk.git

Package: lvtk-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Enhances:
 lvtk-dev
Description: LV2 Toolkit documentation
 LV2 Toolkit is a set of C++ wrappers around the LV2 C API.
 The included libraries ease writing LV2 plugins and UIs
 in C++ by inheriting from easy to use template classes.
 .
 LV2 is a portable plugin standard for audio systems,
 similar in scope to  LADSPA, VST, AU, and others.
 .
 This package provides the developer reference.

Package: lvtk-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-dev,
 libgtkmm-2.4-dev,
 lv2-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 pkg-config
Suggests:
 lvtk-doc
Description: LV2 C++ wrappers and utilities
 LV2 Toolkit is a set of C++ wrappers around the LV2 C API.
 The included libraries ease writing LV2 plugins and UIs
 in C++ by inheriting from easy to use template classes.
 .
 LV2 is a portable plugin standard for audio systems,
 similar in scope to  LADSPA, VST, AU, and others.
 .
 This package provides the development headers.

Package: lvtk-tools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: LV2 C++ wrappers and utilities - tools
 LV2 Toolkit is a set of C++ wrappers around the LV2 C API.
 The included libraries ease writing LV2 plugins and UIs
 in C++ by inheriting from easy to use template classes.
 .
 LV2 is a portable plugin standard for audio systems,
 similar in scope to  LADSPA, VST, AU, and others.
 .
 This package contains the binary ttl2c, a program to
 generate C headers from RDF definition files.

Package: lvtk-examples
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Enhances:
 lvtk-dev
Provides:
 lv2-plugin
Description: LV2 C++ wrappers and utilities - examples plugins
 LV2 Toolkit is a set of C++ wrappers around the LV2 C API.
 The included libraries ease writing LV2 plugins and UIs
 in C++ by inheriting from easy to use template classes.
 .
 LV2 is a portable plugin standard for audio systems,
 similar in scope to  LADSPA, VST, AU, and others.
 .
 This package contains some example plugins.
