=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*// \
http://lvtoolkit.org/category/releases/ \
 .*/lvtk-(.*)\.tar\.gz
