=== debian/changelog ===
lvtk (1.2.0~dfsg0-1build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:43:06 +0000

lvtk (1.2.0~dfsg0-1) unstable; urgency=medium

  [ Jaromír Mikeš ]
  * Added myself as uploader

  [ Alessio Treglia ]
  * New upstream release.
  * Update homepage, project has moved to github.
  * Fix watch file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Oct 2014 14:14:39 +0100
