=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: lvtk
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Alessio Treglia <alessio@debian.org>
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper (>= 9),
  libboost-dev,
@@ -14,8 +16,8 @@
 Build-Depends-Indep:
  doxygen,
  graphviz
-Standards-Version: 3.9.4
-Homepage: http://lvtoolkit.org/
+Standards-Version: 3.9.5
+Homepage: https://github.com/lvtk/lvtk/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lvtk.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lvtk.git
