=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg.*//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/lvtk-$1\.tar\.gz/ \
https://github.com/lvtk/lvtk/tags .*/v?(\d\S*)\.tar\.gz
